libstdc++: std::shared_timed_mutex Class Reference

libstdc++

std::shared_timed_mutex Class Reference
Concurrency » Mutexes

`#include <shared_mutex>`

## Public Member Functions
| shared_timed_mutex (const shared_timed_mutex &)=delete
void | lock ()
void | lock_shared ()
shared_timed_mutex & | operator= (const shared_timed_mutex &)=delete
bool | try_lock ()
template<typename _Rep, typename _Period>
bool | try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
bool | try_lock_shared ()
template<typename _Rep, typename _Period>
bool | try_lock_shared_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock, typename _Duration>
bool | try_lock_shared_until (const chrono::time_point< _Clock, _Duration > &__abs_time)
template<typename _Clock, typename _Duration>
bool | try_lock_until (const chrono::time_point< _Clock, _Duration > &__abs_time)
void | unlock ()
void | unlock_shared ()

## Detailed Description

The standard shared timed mutex type.

Definition at line 464 of file shared_mutex.

## Member Function Documentation

## ◆ lock()

void std::shared_timed_mutex::lock | ( |  | ) |
| inline

Definition at line 485 of file shared_mutex.

## ◆ lock_shared()

void std::shared_timed_mutex::lock_shared | ( |  | ) |
| inline

Definition at line 502 of file shared_mutex.

## ◆ try_lock()

bool std::shared_timed_mutex::try_lock | ( |  | ) |
| inlinenodiscard

Definition at line 486 of file shared_mutex.

## ◆ try_lock_for()

template<typename _Rep, typename _Period>

bool std::shared_timed_mutex::try_lock_for | ( | const chrono::duration< _Rep, _Period > & | __rtime | ) |
| inlinenodiscard

Definition at line 492 of file shared_mutex.

## ◆ try_lock_shared()

bool std::shared_timed_mutex::try_lock_shared | ( |  | ) |
| inlinenodiscard

Definition at line 504 of file shared_mutex.

## ◆ try_lock_shared_for()

template<typename _Rep, typename _Period>

bool std::shared_timed_mutex::try_lock_shared_for | ( | const chrono::duration< _Rep, _Period > & | __rtime | ) |
| inlinenodiscard

Definition at line 510 of file shared_mutex.

## ◆ try_lock_shared_until()

template<typename _Clock, typename _Duration>

bool std::shared_timed_mutex::try_lock_shared_until | ( | const chrono::time_point< _Clock, _Duration > & | __abs_time | ) |
| inlinenodiscard

Definition at line 689 of file shared_mutex.

## ◆ try_lock_until()

template<typename _Clock, typename _Duration>

bool std::shared_timed_mutex::try_lock_until | ( | const chrono::time_point< _Clock, _Duration > & | __abs_time | ) |
| inlinenodiscard

Definition at line 664 of file shared_mutex.

## ◆ unlock()

void std::shared_timed_mutex::unlock | ( |  | ) |
| inline

Definition at line 487 of file shared_mutex.

## ◆ unlock_shared()

void std::shared_timed_mutex::unlock_shared | ( |  | ) |
| inline

Definition at line 505 of file shared_mutex.

The documentation for this class was generated from the following file:

- shared_mutex